import { SiteApplicationShort } from './site-application-short';
export declare class AppHostConfig {
    readonly iisDirectory: string;
    readonly appHostConfigDirectory: string;
    readonly appHostConfigPath: string;
    appHostConfig: any;
    sites: any;
    private readonly _config;
    private readonly _logger;
    constructor();
    getSiteNames(): Promise<string[]>;
    getSite(siteName: string): any;
    getSiteApplication(siteName: string): SiteApplicationShort;
    addSiteApplication(siteName: string, application: SiteApplicationShort): Promise<void>;
    removeSiteApplication(siteName: string, applicationPath: string): Promise<void>;
    existsSiteApplication(siteName: string, applicationPath: string): boolean;
    saveBackup(): void;
    protected $parseConfig(): void;
    private _getNodeBy;
    private _execCommand;
}
