import prompts from 'prompts';
import 'colors';
export declare class DirToIisAppService {
    readonly argv: any;
    private readonly _config;
    private readonly _logger;
    constructor(argv: any);
    install(): Promise<void>;
    uninstall(): Promise<void>;
    promptOptions(): Promise<prompts.PromptObject[]>;
    readOptions(options: prompts.PromptObject[]): Promise<void>;
    run({ name, startImmediately, ...options }: any): void;
    private _wrapByQuotes;
    private _bindEvents;
}
