"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const winston_1 = require("winston");
exports.Logger = winston_1.createLogger({
    level: 'info',
    format: winston_1.format.simple(),
    transports: [
        new winston_1.transports.File({ filename: path_1.resolve(__dirname, './error.log'), level: 'error' }),
        new winston_1.transports.File({ filename: path_1.resolve(__dirname, './info.log'), level: 'info' })
    ]
});
//# sourceMappingURL=logger.js.map