#! /usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const optimist_1 = require("optimist");
const node_windows_1 = require("node-windows");
const watcher_1 = require("./watcher");
const logger = new node_windows_1.EventLogger({ source: 'run-watcher' });
logger.info(`Run watcher with arguments: ${JSON.stringify(optimist_1.argv)}.`);
const watcher = new watcher_1.Watcher(optimist_1.argv);
watcher.run();
//# sourceMappingURL=run-watcher.js.map