import 'colors';
import { AppHostConfig } from './app-host-config';
import { WatcherOptions } from './watcher-options';
import { SiteApplicationShort } from './site-application-short';
export declare class Watcher {
    readonly options: WatcherOptions;
    readonly config: AppHostConfig;
    readonly siteApplication: SiteApplicationShort;
    private readonly _logger;
    constructor(options: WatcherOptions);
    run(): void;
    protected $add(filePath: string): Promise<void>;
    protected $remove(filePath: string): Promise<void>;
    private _toApplicationPath;
}
